Subject: [TLS] Getting People to Upgrade

From: Michael D'Errico <[email-masked]>
Date: Sat, 05 Dec 2009 17:39:08 -0800

Here's an idea for how to cause a mass upgrade to the next version
of TLS: Stop calling it TLS (which no lay person has ever heard of)
and revert back to calling it SSL (which is what all vendors market
their products with anyway); bump up the major version, so that it
is "SSL 4.0"; products will appear that prominently display that
they support SSL 4.0.  These products can warn users that "This site
does not support <em>SSL 4.0</em>; are you sure you want to continue?"
SSL 4.0 will become synonymous with security to most people, and soon
they will be demanding it, choosing products that support it over
those that don't.

I think it just might work.

Mike

P.S. anyone know how AOL/Netscape would feel about this?  A quick
search for "SSL trademark" didn't seem to turn up anything